package com.drugme.ms.pillbox.alarme;

import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.media.MediaPlayer;
import android.os.IBinder;

import com.drugme.ms.pillbox.R;

public class BackgroundService extends Service {

    private boolean isRunning;
   // private Boolean check;
    private Context context;
    private Thread backgroundThread;
    private MediaPlayer mPlayer;
    private Long endAlarm;


    @Override
    public IBinder onBind(Intent intent) {
        return null;
    }

    @Override
    public void onCreate() {
        this.context = this;
        this.isRunning = false;
        this.backgroundThread = new Thread(myTask);
    }

    private Runnable myTask = new Runnable() {
        public void run() {
            mPlayer = MediaPlayer.create(getApplicationContext(), R.raw.alarm); //création du son à jouer
            mPlayer.start(); //joue le son
            //endAlarm = System.currentTimeMillis() + 8000; // 1 minute : 60000
            //while (System.currentTimeMillis()<=endAlarm){
            //}
            stopSelf();
        }
    };

    @Override
    public void onDestroy() {
        this.isRunning = false;
        super.onDestroy();
    }

    @Override
    public int onStartCommand(Intent intent, int flags, int startId) {

        if (!this.isRunning) {
            this.isRunning = true;
            this.backgroundThread.start();
        }
        return START_NOT_STICKY;
    }
}

