package com.drugme.ms.pillbox;


import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.GridView;
import android.widget.ImageView;

public class MyAdapterImage extends BaseAdapter {
    private Context context;

    public Integer[] imgDaily;

    public MyAdapterImage (Context context, Integer[] imgDaily) {
        this.context = context;
        this.imgDaily = imgDaily;
    }

    public int getCount() {
        return imgDaily.length;
    }

    public Object getItem(int position) {
        return null;
    }

    public long getItemId(int position) {
        return 0;
    }

    // create a new ImageView for each item referenced by the Adapter
    public View getView(int position, View convertView, ViewGroup parent) {
        ImageView imageView;

        if (convertView == null) {
            imageView = new ImageView(context);
            imageView.setLayoutParams(new GridView.LayoutParams(85, 85));
        } else {
            imageView = (ImageView) convertView;
        }

        imageView.setImageResource(imgDaily[position]);
        return imageView;
    }

}


