package com.drugme.ms.pillbox.util;

import android.content.Context;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;

public class SharedPreference {
    final public static String INFODOCTOR = "Doctor";
    public static final String NUMBER = "";

    public SharedPreference() {
        super();
    }

    public void save(Context context, String text) {
        SharedPreferences settings;
        Editor editor;

        //settings = PreferenceManager.getDefaultSharedPreferences(context);
        settings = context.getSharedPreferences(INFODOCTOR, Context.MODE_PRIVATE); //1
        editor = settings.edit(); //2

        editor.putString(NUMBER, text); //3

        editor.commit(); //4
    }

    public String getValue(Context context) {
        SharedPreferences settings;
        String text;

        //settings = PreferenceManager.getDefaultSharedPreferences(context);
        settings = context.getSharedPreferences(INFODOCTOR, Context.MODE_PRIVATE);
        text = settings.getString(NUMBER, null);
        return text;
    }

    public void clearSharedPreference(Context context) {
        SharedPreferences settings;
        Editor editor;

        //settings = PreferenceManager.getDefaultSharedPreferences(context);
        settings = context.getSharedPreferences(INFODOCTOR, Context.MODE_PRIVATE);
        editor = settings.edit();

        editor.clear();
        editor.commit();
    }

    public void removeValue(Context context) {
        SharedPreferences settings;
        Editor editor;

        settings = context.getSharedPreferences(INFODOCTOR, Context.MODE_PRIVATE);
        editor = settings.edit();

        editor.remove(NUMBER);
        editor.commit();
    }
}
